# Digital Tijori :lock:
**Digital Tijori** app lets you store your bank accounts, cards and credentials. You can link cards and credentials to a particular bank account, and view them all at a glance.
This app demonstrates the use of Clean architecture using MVVM, Dependency Injection, Room Database with multiple tables and relationships between them, Kotlin Flows & Coroutines, Jetpack Datastore, Jetpack Compose, Biometric authentication and other Modern Android Development practices.

# Install the app

<a href="https://play.google.com/store/apps/details?id=com.harshnandwani.digitaltijori" target="_blank"><img alt="Get it on Google Play" src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png" height="80"/></a> 

**Install with APK**: [Digital Tijori v1.0.0](https://github.com/HarshNandwani/Digital-Tijori/releases/download/v1.0.0/digital_tijori.apk)

# Demo :computer:

[View video demo](https://drive.google.com/file/d/1yH2jX4FqJBN6XXFcG6L69v5MnZtdxB6x/view)

# Built With :wrench:
- **Clean Architecture principles** - To better scale and structure the project.
- **MVVM** - Architecture used.
- **Kotlin** - The programming language used to build the app.
- **Dagger-Hilt** - For dependency injection.
- **Room** - For persistent local data storage.
- **Jetpack Datastore** - For storing preferences.
- **Kotlin Coroutines** - To execute asynchronous and non-blocking code.
- **Kotlin Flows** - For asynchronous data handling / For reactive programming.
- **Jetpack Compose** - For building UI declaratively.

# Contact me :email:
- LinkedIn: [Harsh Nandwani](https://www.linkedin.com/in/harsh-nandwani/)
- E-Mail: developer.harsh.nandwani@gmail.com
